HPE Community read-only access December 15, 2018
This is a maintenance upgrade. You will be able to read articles and posts, but not post or reply.
Hours:
Dec 15, 4:00 am to 10:00 am UTC
Dec 14, 10:00 pm CST to Dec 15, 4:00 am CST
Dec 14, 8:00 pm PST to Dec 15, 2:00 am PST
Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

JDBC FOR RDB 7.1.1

 
sag_2
Occasional Visitor

JDBC FOR RDB 7.1.1

I have a problem, I need install JDBC FOR RDB (7.1.1) in OPEN VMS 7.3.2, but display this error:

ORCL VMS RDBJDBC71 V7.1-21B432: Oracle Rdb JDBC for OpenVMS

Copyright © 1995, 2003, Oracle Corporation. All Rights Reserved.

* This product does not have any configuration options.

Execution phase starting ...

The following product will be installed to destination:
ORCL VMS RDBJDBC71 V7.1-21B432 DISK$ALPHAES45SYS:[VMS$COMMON.]

This product requires JAVA141 V1.4-11 or later

Portion done: 0%
%PCSI-E-S_OPFAIL, operation failed
%PCSIUI-E-ABORT, operation terminated due to an unrecoverable error condition

but, I have installed SDK 1.4.2, why this error?

Thanks
6 REPLIES
John Gillings
Honored Contributor

Re: JDBC FOR RDB 7.1.1

sag,

What does PRODUCT SHOW PRODUCT JAVA* say?

If it shows JAVA141 or JAVA142, you should report this error to the owners of the JDBC kit - Oracle Corporation.
A crucible of informative mistakes
Willem Grooters
Honored Contributor

Re: JDBC FOR RDB 7.1.1

be sure to have setup the USER environment for JAVA 1.4.2: As specified in the manual found at http://h18012.www1.hp.com/java/documentation/1.4.2/ovms/docs/user_guide.html#setjavaen

Setting Up the Java Environment
You select which VM to use when you set up your Java environment.

Note: For simplicity, this document assumes you installed the SDK using the default location and therefore references SYS$COMMON:[JAVA$14x] throughout the text. However, if you specified a destination and installed the kit in that alternate location, substitute that location for the default while reading this document.

To set up your environment, use one of the following two commands:

alpha only $ @SYS$COMMON:[JAVA$14x.COM]JAVA$14x_SETUP FAST ! Use the Fast VM
$ @SYS$COMMON:[JAVA$14x.COM]JAVA$14x_SETUP ! Use the Classic VM

where x is the specific version number of the release you are using.

If you did this, follow suggestion by previous replier.


Willem
Willem Grooters
OpenVMS Developer & System Manager
nycdata
Occasional Visitor

Re: JDBC FOR RDB 7.1.1


Hey,

Were you ever able to run that??

I am trying to develop the same application.

Connecting JDBC to APLHA.

Any luck?
Dieter Rossbach
Regular Advisor

Re: JDBC FOR RDB 7.1.1

I use Oracle Rdb 7.1.x, Rdbjava (Thin- aund native Driver), latest Java SDK 1.4.2, apache 1.3.2x and tomcat on VMS 7.3-2, without any problems

Make sure that you did the java-startup before installing anything, so that all required symbols and logicals are set.

Regards

Dieter
Ian Miller.
Honored Contributor

Re: JDBC FOR RDB 7.1.1

and make sure your process quotas are big enough - they have to be surprisingly high for processes using this java stuff.
____________________
Purely Personal Opinion
Dieter Rossbach
Regular Advisor

Re: JDBC FOR RDB 7.1.1

Yes, the quotas! I run rdbthinsrv as a detached process and it took me a bit of work until i got all the quotas right for my application.

D.